public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: "'Felix Moessbauer' via isar-users" <isar-users@googlegroups.com>
To: isar-users@googlegroups.com
Cc: clara.kowalsky@siemens.com, florian.bezdeka@siemens.com,
	jan.kiszka@siemens.com,
	Felix Moessbauer <felix.moessbauer@siemens.com>,
	Uladzimir Bely <ubely@ilbers.de>
Subject: [PATCH v3 7/7] testsuite: test mc:qemuamd64-iso-bookworm:isar-image-base
Date: Fri, 24 Jan 2025 13:35:45 +0100	[thread overview]
Message-ID: <20250124123545.3500274-8-felix.moessbauer@siemens.com> (raw)
In-Reply-To: <20250124123545.3500274-1-felix.moessbauer@siemens.com>

It also introduces `test_system_running.sh` that can be used in other
run tests to check that all systemd services are started.

Co-Developed-by: Uladzimir Bely <ubely@ilbers.de>
Signed-off-by: Felix Moessbauer <felix.moessbauer@siemens.com>
---
 testsuite/citest.py                      | 12 ++++++++++++
 testsuite/scripts/test_system_running.sh | 22 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)
 create mode 100755 testsuite/scripts/test_system_running.sh

diff --git a/testsuite/citest.py b/testsuite/citest.py
index 82affb1a..ee965278 100755
--- a/testsuite/citest.py
+++ b/testsuite/citest.py
@@ -241,6 +241,7 @@ class NoCrossTest(CIBaseTest):
             'mc:nanopi-neo-bookworm:isar-image-base',
             'mc:qemuamd64-focal:isar-image-ci',
             'mc:qemuamd64-bookworm:isar-image-ci',
+            'mc:qemuamd64-iso-bookworm:isar-image-ci',
             'mc:qemui386-bookworm:isar-image-base',
             'mc:qemumipsel-bookworm:isar-image-ci',
             'mc:hikey-bookworm:isar-image-base',
@@ -656,3 +657,14 @@ class VmBootTestFull(CIBaseTest):
         self.init()
         self.vm_start('arm64', 'bookworm', image='isar-image-ci',
                       script='test_prebuilt_containers.sh')
+
+    def test_amd64_bookworm_iso(self):
+        self.init()
+        self.vm_start('amd64-iso', 'bookworm', image='isar-image-ci',
+                      keep = True
+        )
+
+    def test_amd64_bookworm_iso_system_check(self):
+        self.init()
+        self.vm_start('amd64-iso', 'bookworm', image='isar-image-ci',
+                      script='test_system_running.sh 30')
diff --git a/testsuite/scripts/test_system_running.sh b/testsuite/scripts/test_system_running.sh
new file mode 100755
index 00000000..e4a6dca2
--- /dev/null
+++ b/testsuite/scripts/test_system_running.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Checks global status of all services
+
+set -e
+
+cnt=$1
+
+ret=1
+
+while [ 0${cnt} -gt 0 ]; do
+  if systemctl is-system-running; then
+    exit 0
+  else
+    ret=$?
+  fi
+
+  cnt=$((cnt - 1))
+  sleep 1
+done
+
+exit $ret
-- 
2.39.5

-- 
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion visit https://groups.google.com/d/msgid/isar-users/20250124123545.3500274-8-felix.moessbauer%40siemens.com.

  parent reply	other threads:[~2025-01-24 12:36 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-24 12:35 [PATCH v3 0/7] Add iso9660 image support for ISAR 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 1/7] Import isoimage-isohybrid from oe 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 2/7] wic: add ISAR version of isohybrid-efi plugin 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 3/7] move squashfs imagetype class from CIP to ISAR 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 4/7] add qemuamd64-iso target for hybrid iso9660 image 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 5/7] add kas menu target for qemuamd64-iso machine 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` [PATCH v3 6/7] testsuite: add qemuamd64-iso machine to start_vm script 'Felix Moessbauer' via isar-users
2025-01-24 12:35 ` 'Felix Moessbauer' via isar-users [this message]
2025-02-06  7:33 ` [PATCH v3 0/7] Add iso9660 image support for ISAR Uladzimir Bely

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20250124123545.3500274-8-felix.moessbauer@siemens.com \
    --to=isar-users@googlegroups.com \
    --cc=clara.kowalsky@siemens.com \
    --cc=felix.moessbauer@siemens.com \
    --cc=florian.bezdeka@siemens.com \
    --cc=jan.kiszka@siemens.com \
    --cc=ubely@ilbers.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox